commit:     24999a78eb539b3cf6bdba1d17de33a27aed5479
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 12 04:55:10 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Sep 12 04:55:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24999a78

net-misc/lldpd-1.0.6: Version bump

Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 net-misc/lldpd/Manifest                        |   1 +
 net-misc/lldpd/files/lldpd-1.0.6-seccomp.patch |  12 +++
 net-misc/lldpd/lldpd-1.0.6.ebuild              | 102 +++++++++++++++++++++++++
 3 files changed, 115 insertions(+)

diff --git a/net-misc/lldpd/Manifest b/net-misc/lldpd/Manifest
index ea94700a5a5..9ba7bcffe77 100644
--- a/net-misc/lldpd/Manifest
+++ b/net-misc/lldpd/Manifest
@@ -1,3 +1,4 @@
 DIST lldpd-1.0.3.tar.gz 1605563 BLAKE2B 
968d1c2e046049fd9ba9e9af7b8cb4f531fbd99f41a9157679f3694f800b0da1a4dd3b21feac583fa5cde3f57b022e2d6ee543ea349e1136037ba10419e3c855
 SHA512 
bae121a707d06726830dbb6b45210c1ed23aa2a99349a68d088b3ae3109504a6b462c7b0abf8543297083294519be2878779edf1a41bb73fe002bb6c9f966ef1
 DIST lldpd-1.0.4.tar.gz 1607806 BLAKE2B 
28fc45b0f2fe958e5d0aac370b54fda286aa4f04c228eeb12a2f60ea6643f63a7de3831ee3f0a060cd4de3849e75b58fdb6a868dc1aa0f8dc4b516fdd4f4ead0
 SHA512 
a5537acf2ca3be22a70124101c1c70713e655aee8d6344d25901aa5eff1efd5afb221364b9c92388bf3edf74c4cd5841fb7c9ba77745ac3cd80051bc0bad1ac9
 DIST lldpd-1.0.5.tar.gz 1624872 BLAKE2B 
0c85cd05bd9e24c06038675be0e9e03228981bb815d8eb93ba1565eb2001dfbf24c183c9d10a1a3d194f49990e252a53730ef69a8b0e9e3151de40bb2ae5a5b8
 SHA512 
ce6075b6e2f847c4854c117ffc81d6e9f852e857d2bf88151ea7b3d40fbebcf980f65d4a21f17332de7f27fc696ce3ada3c063b8fa7677d7b9eee3e4634e898e
+DIST lldpd-1.0.6.tar.gz 1814839 BLAKE2B 
d4bf30a7ae5a5de93f67ef6b06662e287a4c2eff76f157dc9b0a551b4473e0b0896e7af1cd39866f2ee0013ebdf572e762d8543a00bda0d0a1136cfedc7f2ba9
 SHA512 
b0930cf3202eba6bcbb7d5f941bda16ebbdde15f1839c6664c2896f92a7c2842cbe87baa32c7ce85f1d1fe012a8ceb9975a06244644a4bc3759241a4a1d058d1

diff --git a/net-misc/lldpd/files/lldpd-1.0.6-seccomp.patch 
b/net-misc/lldpd/files/lldpd-1.0.6-seccomp.patch
new file mode 100644
index 00000000000..f0d38bd25a5
--- /dev/null
+++ b/net-misc/lldpd/files/lldpd-1.0.6-seccomp.patch
@@ -0,0 +1,12 @@
+diff --git a/src/daemon/priv-seccomp.c b/src/daemon/priv-seccomp.c
+index 6d2736a..5bab871 100644
+--- a/src/daemon/priv-seccomp.c
++++ b/src/daemon/priv-seccomp.c
+@@ -170,6 +170,7 @@ priv_seccomp_init(int remote, int child)
+           (rc = seccomp_rule_add(ctx, SCMP_ACT_ALLOW, SCMP_SYS(sendto), 0)) < 
0 ||
+           (rc = seccomp_rule_add(ctx, SCMP_ACT_ALLOW, SCMP_SYS(poll), 0)) < 0 
||
+           (rc = seccomp_rule_add(ctx, SCMP_ACT_ALLOW, SCMP_SYS(recvmsg), 0)) 
< 0 ||
++          (rc = seccomp_rule_add(ctx, SCMP_ACT_ALLOW, SCMP_SYS(sendmmsg), 0)) 
< 0 ||
+           (rc = seccomp_rule_add(ctx, SCMP_ACT_ALLOW, SCMP_SYS(recvfrom), 0)) 
< 0 ||
+           (rc = seccomp_rule_add(ctx, SCMP_ACT_ALLOW, SCMP_SYS(readv), 0)) < 
0 ||
+           (rc = seccomp_rule_add(ctx, SCMP_ACT_ALLOW, SCMP_SYS(mprotect), 0)) 
< 0 ||

diff --git a/net-misc/lldpd/lldpd-1.0.6.ebuild 
b/net-misc/lldpd/lldpd-1.0.6.ebuild
new file mode 100644
index 00000000000..68d592e5451
--- /dev/null
+++ b/net-misc/lldpd/lldpd-1.0.6.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd bash-completion-r1 autotools
+
+DESCRIPTION="Implementation of IEEE 802.1ab (LLDP)"
+HOMEPAGE="https://vincentbernat.github.com/lldpd/";
+SRC_URI="http://media.luffy.cx/files/${PN}/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0/4.9.0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cdp doc +dot1 +dot3 edp fdp graph +lldpmed old-kernel sanitizers
+       seccomp sonmp snmp static-libs test readline xml zsh-completion"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       acct-group/lldpd
+       acct-user/lldpd
+       dev-libs/libbsd
+       >=dev-libs/libevent-2.1.11:=
+       sys-libs/readline:0=
+       seccomp? ( sys-libs/libseccomp:= )
+       snmp? ( net-analyzer/net-snmp[extensible(+)] )
+       xml? ( dev-libs/libxml2:= )
+       zsh-completion? ( app-shells/zsh )
+"
+DEPEND="${RDEPEND}
+       test? ( dev-libs/check )
+"
+BDEPEND="virtual/pkgconfig
+       doc? (
+               graph? ( app-doc/doxygen[dot] )
+               !graph? ( app-doc/doxygen )
+       )
+"
+
+REQUIRED_USE="graph? ( doc )"
+
+PATCHES=(
+       "${FILESDIR}/lldpd-1.0.6-seccomp.patch"
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+       elibtoolize
+}
+
+src_configure() {
+       econf \
+               --without-embedded-libevent \
+               --with-privsep-user=${PN} \
+               --with-privsep-group=${PN} \
+               --with-privsep-chroot=/run/${PN} \
+               --with-lldpd-ctl-socket=/run/${PN}.socket \
+               --with-lldpd-pid-file=/run/${PN}.pid \
+               $(use_enable cdp) \
+               $(use_enable doc doxygen-man) \
+               $(use_enable doc doxygen-pdf) \
+               $(use_enable doc doxygen-html) \
+               $(use_enable dot1) \
+               $(use_enable dot3) \
+               $(use_enable edp) \
+               $(use_enable fdp) \
+               $(use_enable graph doxygen-dot) \
+               $(use_enable lldpmed) \
+               $(use_enable old-kernel oldies) \
+               $(use_enable sonmp) \
+               $(use_enable static-libs static) \
+               $(use_with readline) \
+               $(use_enable sanitizers) \
+               $(use_with seccomp) \
+               $(use_with snmp) \
+               $(use_with xml)
+}
+
+src_compile() {
+       emake
+       use doc && emake doxygen-doc
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       find "${D}" -name '*.la' -delete || die
+
+       newinitd "${FILESDIR}"/${PN}-initd-5 ${PN}
+       newconfd "${FILESDIR}"/${PN}-confd-1 ${PN}
+       newbashcomp src/client/completion/lldpcli lldpcli
+
+       use doc && dodoc -r doxygen/html
+
+       insinto /etc
+       doins "${FILESDIR}/lldpd.conf"
+       keepdir /etc/${PN}.d
+
+       systemd_dounit "${FILESDIR}"/${PN}.service
+       systemd_newtmpfilesd "${FILESDIR}"/tmpfilesd ${PN}.conf
+}

Reply via email to